### org.jfree.layouting.input.style.parser.stylehandler.content

# Class CounterModificationReadHandler

- `java.lang.Object`
- - `org.jfree.layouting.input.style.parser.stylehandler.content.CounterModificationReadHandler`

Implemented Interfaces:
  CSSValueReadHandler

`public class CounterModificationReadHandler`
`extends java.lang.Object`
`implements CSSValueReadHandler`

Handles both the counter-increment and the counter-reset

Author:
  Thomas Morgner

  ## Field Summary

  `static CSSNumericValue`

  `ZERO`

  ## Constructor Summary

  `CounterModificationReadHandler()`

  ## Method Summary

  `CSSValue`

  `createValue(StyleKey name, LexicalUnit value)`

## Field Details

### ZERO

    public static final CSSNumericValue ZERO

## Constructor Details

### CounterModificationReadHandler

    public CounterModificationReadHandler()

## Method Details

### createValue

    public CSSValue createValue(StyleKey name,
                                LexicalUnit value)

> Specified by:
>   createValue in interface CSSValueReadHandler